Bug 55600 - Additional VCS commands to be added into API.
Additional VCS commands to be added into API.
Status: RESOLVED FIXED
Product: obsolete
Classification: Unclassified
Component: vcscore
4.x
All All
: P1 (vote)
: 4.x
Assigned To: Martin Entlicher
issues@obsolete
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-28 11:38 UTC by Martin Entlicher
Modified: 2005-03-07 15:29 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
The new interfaces. (5.99 KB, text/plain)
2005-02-28 13:31 UTC, Martin Entlicher
Details
The spec version and apichanges diff. (1.77 KB, patch)
2005-03-02 14:28 UTC, Martin Entlicher
Details | Diff
The diff of CVS, PVCS and VSS profiles. (23.19 KB, patch)
2005-03-02 14:29 UTC, Martin Entlicher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2005-02-28 11:38:41 UTC
For UML integration it's necessary to have
additional VCS commands added into
org.netbeans.api.vcs.commands package.
These are:
AddFolderCommand
DiffCommand
HistoryCommand
PropertiesCommand
RemoveFolderCommand
UncheckOutCommand
UpdateCommand

Diff with the intended patch is attached.
Comment 1 Martin Entlicher 2005-02-28 13:31:42 UTC
Created attachment 20552 [details]
The new interfaces.
Comment 2 Jaroslav Tulach 2005-03-01 13:47:36 UTC
The diff is missing spec version change, apichanges updates, the new 
interfaces should come with examples of intended usage and some 
kinds of tests.  
 
From what I see I just really do not understand how this can be 
benefitial for anyone (without other changes hidden somewhere else). 
 
Comment 3 Martin Entlicher 2005-03-02 14:28:24 UTC
Created attachment 20613 [details]
The spec version and apichanges diff.
Comment 4 Martin Entlicher 2005-03-02 14:29:11 UTC
Created attachment 20614 [details]
The diff of CVS, PVCS and VSS profiles.
Comment 5 Martin Entlicher 2005-03-02 14:36:02 UTC
I've attached the diff of spec version, apichanges and changes in VCS
profiles associated with the API change (binding of the new interfaces
with appropriate VCS commands).

I'm not 100% sure about the usage in UML module, but I suppose
something like:
Command diffCmd =
VcsManager.getDefault().createCommand(DiffCommand.class, new
FileObject[] { fileToRunDiffOn });
diffCmd.setRevision("1.1"); // Optional
diffCmd.execute();

It would be quite complex to write automatic tests. I suppose that the
functionality would be verified manually (test of the API as such is
not possible, one can only verify that the implementation in
individual VCS profiles is correct).
Comment 6 Martin Entlicher 2005-03-07 10:15:15 UTC
Thanks for comments and hints, I'm going to commit the change today.
Comment 7 Martin Entlicher 2005-03-07 15:29:05 UTC
Fixed in trunk:

/cvs/vcscore/api/doc/changes/apichanges.xml,v  <--  apichanges.xml
new revision: 1.5; previous revision: 1.4
done
Processing log script arguments...
More commits to come...
Checking in vcscore/manifest.mf;
/cvs/vcscore/manifest.mf,v  <--  manifest.mf
new revision: 1.55; previous revision: 1.54
done
Processing log script arguments...
More commits to come...
Checking in
vcsgeneric/profiles/cvsprofiles/src/org/netbeans/modules/vcs/profiles/cvsprofiles/config/cvs.xml;
/cvs/vcsgeneric/profiles/cvsprofiles/src/org/netbeans/modules/vcs/profiles/cvsprofiles/config/cvs.xml,v
 <--  cvs.xml
new revision: 1.154; previous revision: 1.153
done
Processing log script arguments...
More commits to come...
Checking in
vcsgeneric/profiles/pvcs/src/org/netbeans/modules/vcs/profiles/pvcs/config/pvcs.xml;
/cvs/vcsgeneric/profiles/pvcs/src/org/netbeans/modules/vcs/profiles/pvcs/config/pvcs.xml,v
 <--  pvcs.xml
new revision: 1.49; previous revision: 1.48
done
Processing log script arguments...
More commits to come...
Checking in
vcsgeneric/profiles/vss/src/org/netbeans/modules/vcs/profiles/vss/config/vss.xml;
/cvs/vcsgeneric/profiles/vss/src/org/netbeans/modules/vcs/profiles/vss/config/vss.xml,v
 <--  vss.xml
new revision: 1.50; previous revision: 1.49
done
Processing log script arguments...
More commits to come...
RCS file:
/cvs/vcscore/src/org/netbeans/api/vcs/commands/AddFolderCommand.java,v
done
Checking in
vcscore/src/org/netbeans/api/vcs/commands/AddFolderCommand.java;
/cvs/vcscore/src/org/netbeans/api/vcs/commands/AddFolderCommand.java,v
 <--  AddFolderCommand.java
initial revision: 1.1
done
Checking in
vcscore/src/org/netbeans/api/vcs/commands/CheckOutCommand.java;
/cvs/vcscore/src/org/netbeans/api/vcs/commands/CheckOutCommand.java,v
 <--  CheckOutCommand.java
new revision: 1.3; previous revision: 1.2
done
Checking in vcscore/src/org/netbeans/api/vcs/commands/Command.java;
/cvs/vcscore/src/org/netbeans/api/vcs/commands/Command.java,v  <-- 
Command.java
new revision: 1.4; previous revision: 1.3
done
Checking in vcscore/src/org/netbeans/api/vcs/commands/DiffCommand.java;
/cvs/vcscore/src/org/netbeans/api/vcs/commands/DiffCommand.java,v  <--
 DiffCommand.java
new revision: 1.2; previous revision: 1.1
done
Checking in vcscore/src/org/netbeans/api/vcs/commands/HistoryCommand.java;
/cvs/vcscore/src/org/netbeans/api/vcs/commands/HistoryCommand.java,v 
<--  HistoryCommand.java
new revision: 1.2; previous revision: 1.1
done
Checking in
vcscore/src/org/netbeans/api/vcs/commands/PropertiesCommand.java;
/cvs/vcscore/src/org/netbeans/api/vcs/commands/PropertiesCommand.java,v
 <--  PropertiesCommand.java
new revision: 1.2; previous revision: 1.1
done
RCS file:
/cvs/vcscore/src/org/netbeans/api/vcs/commands/RemoveFolderCommand.java,v
done
Checking in
vcscore/src/org/netbeans/api/vcs/commands/RemoveFolderCommand.java;
/cvs/vcscore/src/org/netbeans/api/vcs/commands/RemoveFolderCommand.java,v
 <--  RemoveFolderCommand.java
initial revision: 1.1
done
Checking in
vcscore/src/org/netbeans/api/vcs/commands/UncheckOutCommand.java;
/cvs/vcscore/src/org/netbeans/api/vcs/commands/UncheckOutCommand.java,v
 <--  UncheckOutCommand.java
new revision: 1.2; previous revision: 1.1
done
Checking in vcscore/src/org/netbeans/api/vcs/commands/UpdateCommand.java;
/cvs/vcscore/src/org/netbeans/api/vcs/commands/UpdateCommand.java,v 
<--  UpdateCommand.java
new revision: 1.2; previous revision: 1.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo